Choose a product's main image
curl --request PUT \
--url https://wisepim.com/api/public/v1/products/{product_id}/main-asset \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"asset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://wisepim.com/api/public/v1/products/{product_id}/main-asset"
payload = { "asset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({asset_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://wisepim.com/api/public/v1/products/{product_id}/main-asset', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"product_id": 123,
"main_image": "<string>",
"assets": [
{
"asset_id": "<string>",
"position": 123,
"is_main": true
}
]
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>",
"detail": [
{}
]
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}Set the main image
PUT /products//main-asset: make one image the product’s main image. Requires assets:write.
PUT
/
api
/
public
/
v1
/
products
/
{product_id}
/
main-asset
Choose a product's main image
curl --request PUT \
--url https://wisepim.com/api/public/v1/products/{product_id}/main-asset \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"asset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://wisepim.com/api/public/v1/products/{product_id}/main-asset"
payload = { "asset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({asset_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://wisepim.com/api/public/v1/products/{product_id}/main-asset', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"product_id": 123,
"main_image": "<string>",
"assets": [
{
"asset_id": "<string>",
"position": 123,
"is_main": true
}
]
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>",
"detail": [
{}
]
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}Authorizations
Use a project API key from Settings > API Access. Send it as Authorization: Bearer wpk_.... See authentication and scopes for setup and permissions.

